# Host connection settings
[host]
	# IP-address for UDP connection (gateway connection)
ip=192.168.0.127
	# Port for UDP connection (gateway connection)
udpPort=8001
	# Port for TCP (WebSocket) connection
tcpPort=8002
	# "path" part of webSocket address
webSocketPath=/
	# Flag of using SSL encryption for WebSocket [this option is not fully supported]
useSSL=0
	# SSL certificate filename in current directory
certFileName=cert.crt
	# SSL key filename in current directory
keyFileName=key.key

# LoRaWAN network settings
[lora]
        # LoRaWAN network identifier (should be unique for network) [between 1 and 127]
networkID=1
        # LoRaWAN sub network identifier (should be random for subnetwork) [between 1 and 131071
networkArbitraryID=124365
        # Flag for using Plug-and-Play gateways function.
        # If this value is 1, server would be automatically appended all gateways which connected to one
usePnPGateway=1
	# Enable of using functional to reset FcntDown [0-disabled, 1-enabled]
	# There are process two cases:
	# 1. when FcntDown is differ from FcntUp more then "resetFcntThreshold" value 
	#	then FcntDown=FcntUp
	# 2. [for ABP] when FcntUp <= 1 and FcntDown > 2 then FcntDown=0
resetFcntEnable=0
	# Threshold value for reset FcntDown functional. 
	# Recomenndate value 5000..20000 [10000 - default]
	# (additional see description previous parameter)
resetFcntThreshold=10000

# Super user options
[root]
	# Login for super user
root=root
	# Password for super user (recommendation: change this password to your own)
password=123
        # Flag for enabling of encryption of the super-user password. If this flag is set, 'password' parameter must contain not
        # the password itself, but MD5-sum of that password.
encryptRootPassword=0

# Console settings (volume of debug information)
[console]
        # Maximum level of console messages that will be shown (levels of messages represented below)
maxMsgLevel=4
        # Maximum level of console messages that will be saved into LOG file (levels of messages represented below)
        #	Console message levels:
        # errors        = 0
        # uplink        = 1
        # downlink      = 2
        # warning       = 3
        # info          = 4
        # debug         = 20
maxLogMsgLevel=4
        # Maximum count of log files. Now size of each log file internally constructed to 25MB.
        # 0             = unlimit count
        # 1 and 2       = 2 files: current and previous
        # 3             = 3 files: current and 2 previous
        # ...
        # > 1000        = unlimit count
maxLogFilesCnt=3

# 'Syslog' settings (for linux only)
[syslog]
        # All console messages with "severity" equal to 'level' and with more
        # important "severity" (with SMALLER numeric value of "severity") will
        # be logged into the 'syslog'.
        # Possible values:
        #   LOG_ERR
        #   LOG_WARNING
        #   LOG_NOTICE
        #   LOG_INFO
        #   LOG_DEBUG
        # If this option is not defined, empty or wrong, 'syslog' will not be
        # used.
#level=LOG_ERR
        # All messages, that will be logged into the 'syslog', will contains
        # this identifyer of source subsystem.
        # Posiible values:
        #   LOG_USER (default)
        #   LOG_LOCAL0
        #   LOG_LOCAL1
        #   LOG_LOCAL2
        #   LOG_LOCAL3
        #   LOG_LOCAL4
        #   LOG_LOCAL5
        #   LOG_LOCAL6
        #   LOG_LOCAL7
#facility=LOG_USER

# Common database settings
[database]
        # The database would be optimized in this local time each day ( format [hh:mm:ss] )
        # This operation cause blocking of database for some small time ( about 10 seconds and below - depending on database size )
taskOptimizationTime=21:00:00
        # Period of database defragmentation in days. This operation need to scale down of database size.
        # This operation cause blocking of database for some time ( about several minutes - depending on database size ).
        # So use real period value!
        # 0             = defragmentation is not processed
        # 1             = each 1 day ( not recommend )
        # ...
        # > 365         = defragmentation is not processed
defragPeriod=30

# External DataBase settings
[external_db]
	# Flag of using external DB
useExternalDb=0
	# Type of external DB. Supported only next types:
	#	MYSQL
	#	SQLITE
	#	POSTGRESQL
typeExternalDb=MYSQL
	# Name of external DB (schema's name for MYSQL)
nameExternalDb=lorawan_server
	# IP and port of DB's server ("localhost" is supported)
ipExternalDb=localhost
portExternalDb=3306
	# User login and password (user should have maximum level of privileges)
userExternalDb=root
passwordExternalDb=123

# selftest settings
[selftest]
	# Flag for enabling anonymous reports with possible server errors
enableReports=1

# Common email settings
[email]
        # Timeout in seconds between two serial email sending
emailTimeout=3
